<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario usado en ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             xmlns:p="http://primefaces.org/ui" width="100%">
    <h:form id="gestionarPropietarioForm">
        <p:panel>

            <p:messages id="msgsPropietarios" showDetail="false" globalOnly="false" />

            <h:panelGrid columns="1" width="100%" >

                <p:dataTable var="predio" value="#{cambioPropietario.predioSeleccionado}"
                             rowKey="#{cambioPropietario.predioSeleccionado.id11}" 
                             emptyMessage="No existen registros." rendered="#{!proyectarConservacion.tramite.mutacion or !proyectarConservacion.tramite.primera}">
                    <f:facet name="header">No. predial resultante</f:facet>
                    <p:column>
                        <f:facet name="header">Departamento</f:facet>
                        <h:outputText value="#{predio.departamento.nombre}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Municipio</f:facet>
                        <h:outputText value="#{predio.municipio.nombre}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Tipo predio</f:facet>
                        <h:outputText value="#{predio.tipo}" id="PredioTipoV" >
                            <f:converter converterId="converterCB" for="PredioTipoV" />
                        </h:outputText>
                    </p:column>
                    <p:column>
                        <f:facet name="header">Número predial</f:facet>
                        <h:outputText value="#{predio.formattedNumeroPredialCompleto}" />
                    </p:column>
                </p:dataTable>

                <p:spacer height="20" width="0"/>

                <p:dataTable var="personaPredio" id="propietariosVigentes2"
                             value="#{cambioPropietario.propietariosVigentes2}"
                             rowKey="#{personaPredio.id}" rendered="#{proyectarConservacion.tramite.rectificacion and !proyectarConservacion.tramite.cancelacionMasiva}"
                             paginatorPosition="bottom" paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,50" emptyMessage="No existen registros.">
                    <f:facet name="header">
                        <h:outputText value="Propietarios y/o poseedores vigentes" />
                    </f:facet>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="T.I." title="Tipo de identificación" />
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.tipoIdentificacion}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">No. identificación</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.numeroIdentificacion}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="D.V." title="Dígito de verificación" />
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.digitoVerificacion}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Nombre/Razón social</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.nombre}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Sigla</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.sigla}" />
                    </p:column>
                    <p:column rendered="false">
                        <f:facet name="header">Tipo propietario</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.tipo}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">% participación</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.participacion}" />
                    </p:column>

                    <f:facet name="footer">
                        <p:outputPanel layout="block" style="text-align:left"
                                       styleClass="outputLabelStyle">
                            Total de propietarios: #{fn:length(cambioPropietario.propietariosVigentes2)}
                        </p:outputPanel>
                    </f:facet>
                </p:dataTable>


                <p:dataTable var="personaPredio" id="propietariosVigentes"
                             value="#{cambioPropietario.propietariosVigentes2}"
                             rowKey="#{personaPredio.id}" rendered="#{!proyectarConservacion.tramite.segundaDesenglobe and !proyectarConservacion.tramite.quintaNuevo 
                                       and !proyectarConservacion.tramite.rectificacion and !proyectarConservacion.tramite.cancelacionMasiva}"
                             selection="#{cambioPropietario.propietariosVigentesSeleccionados}"
                             paginatorPosition="bottom" paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,50" emptyMessage="No existen registros.">
                    <f:facet name="header">
                        <h:outputText value="Propietarios y/o poseedores vigentes" />
                    </f:facet>
                    <p:column selectionMode="multiple" rendered="#{!rc.dh and !proyectarConservacion.tramite.quintaOmitido}">
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="T.I." title="Tipo de identificación" />
                        </f:facet>

                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.tipoIdentificacion}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">No. identificación</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.numeroIdentificacion}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="D.V." title="Dígito de verificación" />
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.digitoVerificacion}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Nombre/Razón social</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.nombre}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Sigla</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.persona.sigla}" />
                    </p:column>
                    <p:column rendered="false">
                        <f:facet name="header">Tipo propietario</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.tipo}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">% participación</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.participacion}" />
                    </p:column>

                    <f:facet name="footer">
                        <p:outputPanel layout="block" style="text-align:left"
                                       styleClass="outputLabelStyle">
                            Total de propietarios: #{fn:length(cambioPropietario.propietariosVigentes)}
                        </p:outputPanel>
                    </f:facet>
                </p:dataTable>

                <p:dataTable var="personaPredio" id="propietariosCancelados"
                             value="#{cambioPropietario.personasPredioBase}"
                             rowKey="#{personaPredio.id}" rendered="#{proyectarConservacion.tramite.cancelacionMasiva and cambioPropietario.banderaCancelacionMasiva}"
                             selection="#{cambioPropietario.propietariosCanceladosSeleccionados}"
                             paginatorPosition="bottom" paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,50" emptyMessage="No existen registros.">
                    <f:facet name="header">
                        <h:outputText value="Propietarios y/o poseedores de predios cancelados" />
                    </f:facet>
                    <p:column selectionMode="multiple" rendered="#{proyectarConservacion.tramite.cancelacionMasiva and cambioPropietario.banderaCancelacionMasiva}">
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="T.I." title="Tipo de identificación" />
                        </f:facet>

                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.tipoIdentificacion}" />
                    </p:column>
                    <p:column sortBy="#{personaPredio.PPersona.numeroIdentificacion}"
                              filterBy="#{personaPredio.PPersona.numeroIdentificacion}">
                        <f:facet name="header">No. identificación</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.numeroIdentificacion}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="D.V." title="Dígito de verificación" />
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.digitoVerificacion}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Nombre/Razón social</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.nombre}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Sigla</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.sigla}" />
                    </p:column>
                    <p:column rendered="false">
                        <f:facet name="header">Tipo propietario</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.tipo}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">% participación</f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.participacion}" />
                    </p:column>

                    <p:column headerText="Numero predial" 
                              sortBy="#{personaPredio.PPredio.numeroPredial}"
                              filterBy="#{personaPredio.PPredio.numeroPredial}">

                        <h:outputText styleClass="outputTextStyle" 
                                      rendered="#{fn:length(personaPredio.listPPredioPorPersona) == 1}"
                                      value="#{personaPredio.PPredio.numeroPredial}" />

                        <p:commandLink rendered="#{fn:length(personaPredio.listPPredioPorPersona) gt 1}"
                                       value="Ver predios" title="Ver detalles de los predios"
                                       styleClass="commandLinkStyleInTable"
                                       action="#{cambioPropietario.consultarPrediosParaDetalles}"
                                       onstart="statusDialog2.show();"
                                       oncomplete="listaPrediosOrigenWV.show(); statusDialog2.hide();"
                                       immediate="true" update=":numeroPredialOrigenForm">
                            <f:setPropertyActionListener value="#{personaPredio.listPPredioPorPersona}"
                                                         target="#{cambioPropietario.prediosPropietario}" />
                        </p:commandLink>

                    </p:column>

                    <f:facet name="footer">
                        <p:outputPanel layout="block" style="text-align:left"
                                       styleClass="outputLabelStyle">
                            Total de propietarios: #{fn:length(cambioPropietario.personasPredioBase)}
                        </p:outputPanel>
                    </f:facet>
                </p:dataTable>


                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton rendered="#{!proyectarConservacion.tramite.segundaDesenglobe 
                                                 and !proyectarConservacion.tramite.quinta 
                                                 and !(proyectarConservacion.tramite.segundaEnglobe and !entradaProyeccion.mantieneNumeroPredial) 
                                                 and !proyectarConservacion.tramite.modificacionInscripcionCatastral
                                                 and !proyectarConservacion.tramite.cancelacionMasiva}"
                                     action="#{cambioPropietario.asociarPropietariosVigentes}" 
                                     disabled="#{rc.dh 
                                                 or proyectarConservacion.tramite.terceraMasiva
                                                 or proyectarConservacion.tramite.cancelacionMasiva and proyectarConservacion.predioSeleccionado.predioOriginalTramite
                                                 or (proyectarConservacion.tramite.quintaMasivo and proyectarConservacion.predioSeleccionado.predioOriginalTramite)}"
                                     value="Asociar propietarios vigentes" title="Asociar propietarios vigentes"
                                     icon="ui-icon-arrowthick-1-s" process="@this, propietariosVigentes"
                                     update="gestionarPropietarioForm, msgsPropietarios" />
                </p:outputPanel>

                <p:spacer width="0" height="20" />

                <p:dataTable var="personaPredio" id="propietariosNuevos"
                             value="#{cambioPropietario.propietariosNuevos}" 
                             rendered="#{!(proyectarConservacion.tramite.quintaOmitido and not proyectarConservacion.tramite.quintaMasivo)}"
                             paginatorPosition="bottom" paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" emptyMessage="No existen registros.">
                    <f:facet name="header">
                        <h:outputText value="Propietarios y/o poseedores nuevos" />
                    </f:facet>
                    <p:column>
                        <f:facet name="header">
                            Opciones
                        </f:facet>
                        <p:commandButton update=":crearPropietarioForm" 
                                         rendered="#{!proyectarConservacion.tramite.cancelacionMasiva
                                                     and( personaPredio.cancelaInscribe=='I' 
                                                     or personaPredio.cancelaInscribe=='M'
                                                     or proyectarConservacion.tramite.segundaDesenglobe
                                                     or proyectarConservacion.tramite.rectificacion
                                                     or proyectarConservacion.tramite.esComplementacion)}"
                                         oncomplete="personaWV.show();" process="@this"
                                         action="#{cambioPropietario.editarPropietario}"
                                         disabled="#{proyectarConservacion.tramite.terceraMasiva or
                                                     (proyectarConservacion.tramite.quintaMasivo and proyectarConservacion.predioSeleccionado.predioOriginalTramite)}"
                                         icon="ui-icon ui-icon-pencil" title="Editar" ajax="true">
                            <f:setPropertyActionListener value="#{personaPredio}"
                                                         target="#{cambioPropietario.propietarioSeleccionado}" />
                        </p:commandButton>
                        <p:commandButton oncomplete="confirmacionWV.show()" ajax="true"  rendered="#{!proyectarConservacion.tramite.desenglobeEtapas and !proyectarConservacion.tramite.cancelacionMasiva}"
                                         icon="ui-icon ui-icon-trash" title="Cancelar" 
                                         disabled="#{rc.dh 
                                                     or proyectarConservacion.tramite.terceraMasiva 
                                                     or (proyectarConservacion.tramite.quintaMasivo and proyectarConservacion.predioSeleccionado.predioOriginalTramite)}">
                            <f:setPropertyActionListener value="#{personaPredio}"
                                                         target="#{cambioPropietario.propietarioSeleccionado}" />
                        </p:commandButton>

                        <p:commandButton oncomplete="confirmacionWV.show()" ajax="true" rendered="#{proyectarConservacion.tramite.desenglobeEtapas}"
                                         icon="ui-icon ui-icon-trash" title="Eliminar" disabled="#{proyectarConservacion.predioSeleccionado.originalTramite == 'SI'}">
                            <f:setPropertyActionListener value="#{personaPredio}"
                                                         target="#{cambioPropietario.propietarioSeleccionado}" />
                        </p:commandButton>

                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="T.I." title="Tipo de identificación" />
                        </f:facet>
                        <p:graphicImage value="/imagesColorCircles/datoModificado.png" height="13" width="13" rendered="#{personaPredio.cancelaInscribe=='C'}" title="Cancelado #{personaPredio.id} - #{personaPredio.PPersona.id}" />
                        <p:graphicImage value="/imagesColorCircles/datoFinal.png" height="13" width="13" rendered="#{personaPredio.cancelaInscribe=='I'}" title="Inscrito #{personaPredio.id} - #{personaPredio.PPersona.id}"/>
                        <p:graphicImage value="/imagesColorCircles/datoInicial.png" height="13" width="13" rendered="#{personaPredio.cancelaInscribe=='M'}" title="Asociado/Modificado #{personaPredio.id} - #{personaPredio.PPersona.id}"/>

                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.tipoIdentificacion}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            No. identificación
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.numeroIdentificacion}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="D.V." title="Dígito de verificación" />
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.digitoVerificacion}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Nombre/Razón social
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.nombre}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Sigla
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.PPersona.sigla}" />
                    </p:column>

                    <p:column rendered="false">
                        <f:facet name="header">
                            Tipo propietario
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.tipo}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            % participación
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.participacion}" />
                    </p:column>
                    <f:facet name="footer">
                        <p:outputPanel layout="block" style="text-align:left"
                                       styleClass="outputLabelStyle">
                            Total de propietarios: #{fn:length(cambioPropietario.propietariosNuevos)}
                        </p:outputPanel>
                    </f:facet>
                    <ui:remove>
                        <p:column>
                            <f:facet name="header">
                                Estado
                            </f:facet>
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{personaPredio.cancelaInscribe}" />
                        </p:column>
                    </ui:remove>
                    <!--p:column>
                            <f:facet name="header">
                                    Justificación
                            </f:facet>
                            <p:commandLink styleClass="commandLinkStyle"
                                onclick="justificacionDlg.show()"
                                rendered="true">
                                <h:outputText styleClass="outputTextStyle"
                                    value="Ver..." />
                            </p:commandLink>
                        </p:column-->
                </p:dataTable>
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton icon="ui-icon-copy" update="msgsPropietarios" 
                                     value="Copiar propietarios/poseedores nuevos a todos los predios" 
                                     rendered="#{(proyectarConservacion.tramite.segundaDesenglobe or proyectarConservacion.tramite.quintaMasivo) 
                                                 and not empty cambioPropietario.propietariosNuevos}" 
                                     action="#{proyectarConservacion.copiarPropietarios}" 
                                     disabled="#{proyectarConservacion.predioSeleccionado.predioOriginalTramite}"/>
                    <p:spacer width="10" height="0" />
                    <p:commandButton action="#{cambioPropietario.adicionarPropietario}"
                                     rendered="#{!(proyectarConservacion.tramite.quintaOmitido and not proyectarConservacion.tramite.quintaMasivo)
                                                 and !proyectarConservacion.tramite.modificacionInscripcionCatastral 
                                                 and !proyectarConservacion.tramite.desenglobeEtapas
                                                 and !proyectarConservacion.tramite.cancelacionMasiva}"
                                     oncomplete="personaWV.show();" value="Adicionar propietario/poseedor" 
                                     disabled="#{rc.dh 
                                                 or proyectarConservacion.tramite.terceraMasiva
                                                 or (proyectarConservacion.tramite.quintaMasivo and proyectarConservacion.predioSeleccionado.predioOriginalTramite)}"
                                     update=":crearPropietarioForm"
                                     icon="ui-icon-document" process="@this" />

                    <p:commandButton action="#{cambioPropietario.adicionarPropietario}"
                                     rendered="#{proyectarConservacion.tramite.desenglobeEtapas}"
                                     oncomplete="personaWV.show();" value="Adicionar propietario/poseedor" 
                                     disabled="#{proyectarConservacion.tramite.quintaMasivo 
                                                 and proyectarConservacion.predioSeleccionado.predioOriginalTramite}"
                                     update=":crearPropietarioForm"
                                     icon="ui-icon-document" process="@this" />

                    <p:commandButton value="Validar y guardar" icon="ui-icon-disk"
                                     rendered="#{!(proyectarConservacion.tramite.quintaOmitido and not proyectarConservacion.tramite.quintaMasivo)
                                                 and !proyectarConservacion.tramite.modificacionInscripcionCatastral
                                                 and !proyectarConservacion.tramite.cancelacionMasiva}"
                                     update="msgsPropietarios" onstart="statusDialog2.show()" oncomplete="statusDialog2.hide()"
                                     action="#{cambioPropietario.validarGuardar}"
                                     disabled="#{proyectarConservacion.tramite.terceraMasiva 
                                                 or (proyectarConservacion.tramite.quintaMasivo and proyectarConservacion.predioSeleccionado.predioOriginalTramite)
                                                 or (proyectarConservacion.tramite.desenglobeEtapas and proyectarConservacion.predioSeleccionado.predioOriginalTramite)}" />
                </p:outputPanel>

            </h:panelGrid>
        </p:panel>
    </h:form>

</h:panelGrid>

